Bug 191474 - CVE-2006-1990 php wordwrap integer overflow
CVE-2006-1990 php wordwrap integer overflow
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
Blocks: 175040
  Show dependency treegraph
Reported: 2006-05-12 07:53 EDT by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 16:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-05-12 07:53:10 EDT
+++ This bug was initially created as a clone of Bug #190033 +++

CVE-2006-1990 php multiple issues (CVE-2006-1991)

CVE-2006-1990 - wordwrap integer overflow
An integer overflow issue was discovered in PHP.  This issue could
potentially lead to arbitrary code execution as it allows overwriting
an arbitrary section of memory with user supplied data.  The
exploitability of this issue will depend on how a user program is
written to accept and process data passed to the wordwrap function.



This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 4 Red Hat Bugzilla 2006-05-23 16:23:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.